Show / Hide Table of Contents

# TaskPool Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public static class TaskPool

##### Inheritance

System.Object → TaskPool

### Members

#### Methods

Name | Description
--- | ---
GetCacheSizeInfo() |
RegisterSizeGetter(Type, Func<Int32>) |
SetMaxPoolSize(Int32) |

### Methods

#### GetCacheSizeInfo()

    public static IEnumerable<(Type, int)> GetCacheSizeInfo()

##### Returns

System.Collections.Generic.IEnumerable<System.ValueTuple<System.Type, System.Int32>>

#### RegisterSizeGetter(Type, Func<Int32>)

    public static void RegisterSizeGetter(Type type, Func<int> getSize)

##### Parameters

`type` System.Type
`getSize` System.Func<System.Int32>

#### SetMaxPoolSize(Int32)

    public static void SetMaxPoolSize(int maxPoolSize)

##### Parameters

`maxPoolSize` System.Int32